diff -Naur orig/src/extension/CMakeLists.txt patched/src/extension/CMakeLists.txt
--- orig/src/extension/CMakeLists.txt	2017-03-24 00:51:36.134741323 +0100
+++ patched/src/extension/CMakeLists.txt	2017-03-24 04:14:34.510756391 +0100
@@ -218,8 +218,8 @@
 		internal/bitmap/normalize.h
 		internal/bitmap/oilPaint.cpp
 		internal/bitmap/oilPaint.h
-		internal/bitmap/opacity.cpp
-		internal/bitmap/opacity.h
+#		internal/bitmap/opacity.cpp
+#		internal/bitmap/opacity.h
 		internal/bitmap/raise.cpp
 		internal/bitmap/raise.h
 		internal/bitmap/reduceNoise.cpp
diff -Naur orig/src/extension/init.cpp patched/src/extension/init.cpp
--- orig/src/extension/init.cpp	2017-03-24 00:51:36.134741323 +0100
+++ patched/src/extension/init.cpp	2017-03-24 13:12:39.709882011 +0100
@@ -88,7 +88,7 @@
 #include "internal/bitmap/negate.h"
 #include "internal/bitmap/normalize.h"
 #include "internal/bitmap/oilPaint.h"
-#include "internal/bitmap/opacity.h"
+//#include "internal/bitmap/opacity.h"
 #include "internal/bitmap/raise.h"
 #include "internal/bitmap/reduceNoise.h"
 #include "internal/bitmap/sample.h"
@@ -224,7 +224,7 @@
     Internal::Bitmap::Negate::init();
     Internal::Bitmap::Normalize::init();
     Internal::Bitmap::OilPaint::init();
-    Internal::Bitmap::Opacity::init();
+//    Internal::Bitmap::Opacity::init();
     Internal::Bitmap::Raise::init();
     Internal::Bitmap::ReduceNoise::init();
     Internal::Bitmap::Sample::init();
diff -Naur orig/src/extension/internal/bitmap/channel.cpp patched/src/extension/internal/bitmap/channel.cpp
--- orig/src/extension/internal/bitmap/channel.cpp	2017-03-24 00:51:36.134741323 +0100
+++ patched/src/extension/internal/bitmap/channel.cpp	2017-03-24 03:06:36.164250664 +0100
@@ -28,7 +28,7 @@
 	else if (!strcmp(_layerName, "Yellow Channel"))		layer = Magick::YellowChannel;
 	else if (!strcmp(_layerName, "Black Channel"))		layer = Magick::BlackChannel;
 	else if (!strcmp(_layerName, "Opacity Channel"))	layer = Magick::OpacityChannel;
-	else if (!strcmp(_layerName, "Matte Channel"))		layer = Magick::MatteChannel;		
+	else if (!strcmp(_layerName, "Alpha Channel"))		layer = Magick::AlphaChannel;		
 	
 	image->channel(layer);
 }
@@ -56,7 +56,7 @@
 				"<_item value='Yellow Channel'>" N_("Yellow Channel") "</_item>\n"
 				"<_item value='Black Channel'>" N_("Black Channel") "</_item>\n"
 				"<_item value='Opacity Channel'>" N_("Opacity Channel") "</_item>\n"
-				"<_item value='Matte Channel'>" N_("Matte Channel") "</_item>\n"
+				"<_item value='Alpha Channel'>" N_("Alpha Channel") "</_item>\n"
 			"</param>\n"
 			"<effect>\n"
 				"<object-type>all</object-type>\n"
diff -Naur orig/src/extension/internal/bitmap/crop.cpp patched/src/extension/internal/bitmap/crop.cpp
--- orig/src/extension/internal/bitmap/crop.cpp	2017-03-24 00:51:36.134741323 +0100
+++ patched/src/extension/internal/bitmap/crop.cpp	2017-03-24 02:31:09.915343848 +0100
@@ -24,7 +24,7 @@
     int width = image->baseColumns() - (_left + _right);
     int height = image->baseRows() - (_top + _bottom);
     if (width > 0 and height > 0) {
-        image->crop(Magick::Geometry(width, height, _left, _top, false, false));
+        image->crop(Magick::Geometry(width, height, _left, _top));
         image->page("+0+0");
     }
 }
diff -Naur orig/src/extension/internal/bitmap/levelChannel.cpp patched/src/extension/internal/bitmap/levelChannel.cpp
--- orig/src/extension/internal/bitmap/levelChannel.cpp	2017-03-24 00:51:36.134741323 +0100
+++ patched/src/extension/internal/bitmap/levelChannel.cpp	2017-03-24 03:45:35.902823802 +0100
@@ -28,9 +28,9 @@
 	else if (!strcmp(_channelName, "Yellow Channel"))	channel = Magick::YellowChannel;
 	else if (!strcmp(_channelName, "Black Channel"))	channel = Magick::BlackChannel;
 	else if (!strcmp(_channelName, "Opacity Channel"))	channel = Magick::OpacityChannel;
-	else if (!strcmp(_channelName, "Matte Channel"))	channel = Magick::MatteChannel;
-	Magick::Quantum black_point = Magick::Color::scaleDoubleToQuantum(_black_point / 100.0);
-	Magick::Quantum white_point = Magick::Color::scaleDoubleToQuantum(_white_point / 100.0);
+	else if (!strcmp(_channelName, "Alpha Channel"))	channel = Magick::AlphaChannel;
+	Magick::Quantum black_point = static_cast<Magick::Quantum>(_black_point / 100.0);
+	Magick::Quantum white_point = static_cast<Magick::Quantum>(_white_point / 100.0);
 	image->levelChannel(channel, black_point, white_point, _mid_point);
 }
 
@@ -60,7 +60,7 @@
 				"<_item value='Yellow Channel'>" N_("Yellow Channel") "</_item>\n"
 				"<_item value='Black Channel'>" N_("Black Channel") "</_item>\n"
 				"<_item value='Opacity Channel'>" N_("Opacity Channel") "</_item>\n"
-				"<_item value='Matte Channel'>" N_("Matte Channel") "</_item>\n"
+				"<_item value='Alpha Channel'>" N_("Alpha Channel") "</_item>\n"
 			"</param>\n"
 			"<param name=\"blackPoint\" _gui-text=\"" N_("Black Point:") "\" type=\"float\" min=\"0.0\" max=\"100.0\">0.0</param>\n"			
 			"<param name=\"whitePoint\" _gui-text=\"" N_("White Point:") "\" type=\"float\" min=\"0.0\" max=\"100.0\">100.0</param>\n"			
diff -Naur orig/src/extension/internal/bitmap/level.cpp patched/src/extension/internal/bitmap/level.cpp
--- orig/src/extension/internal/bitmap/level.cpp	2017-03-24 00:51:36.134741323 +0100
+++ patched/src/extension/internal/bitmap/level.cpp	2017-03-24 03:45:33.306793000 +0100
@@ -19,8 +19,8 @@
 	
 void
 Level::applyEffect(Magick::Image* image) {
-	Magick::Quantum black_point = Magick::Color::scaleDoubleToQuantum(_black_point / 100.0);
-	Magick::Quantum white_point = Magick::Color::scaleDoubleToQuantum(_white_point / 100.0);
+	Magick::Quantum black_point = static_cast<Magick::Quantum>(_black_point / 100.0);
+	Magick::Quantum white_point = static_cast<Magick::Quantum>(_white_point / 100.0);
 	image->level(black_point, white_point, _mid_point);
 }
